---
inputType: CA10Z1__CaAzureAksCluster__c
importExtracts:
  - file: /types/CA10Z1__CaAzureAksCluster__c/breeze.extracts.yaml
testData:
  - file: ../test-data-ca10z1.json
conditions:
  - status: INCOMPLIANT
    currentStateMessage: Cluster never had breeze agent installed
    remediationMessage: Install breeze agent on the cluster
    check:
      IS_EMPTY:
        arg:
          EXTRACT: breezeLastUpdate
  - status: INCOMPLIANT
    currentStateMessage: Cluster latest breeze report was more than a day ago
    remediationMessage: Re-install breeze agent on the cluster and make sure it is reporting
    check:
      IS_BEYOND_LAST_DAYS:
        offsetDays: 1
        arg:
          EXTRACT: breezeLastUpdate
otherwise:
  status: COMPLIANT
  currentStateMessage: Cluster has breeze agent installed and has a recent report
